Package io.vertx.rxjava3.ext.auth.properties

## Class PropertyFileAuthorization

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.properties.PropertyFileAuthorization

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`, `AuthorizationProvider`

      public class PropertyFileAuthorization
      extends Object
      implements io.vertx.lang.rx.RxDelegate, AuthorizationProvider

  Factory interface for creating property file based `AuthenticationProvider` instances.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<PropertyFileAuthorization>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyFileAuthorization​(PropertyFileAuthorization delegate)` |
    `PropertyFileAuthorization​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PropertyFileAuthorization` | `create​(Vertx vertx, String path)` | Create a File authentication provider
    `boolean` | `equals​(Object o)` |
    `Completable` | `getAuthorizations​(User user)` | Updates the user with the set of authorizations.
    `PropertyFileAuthorization` | `getDelegate()` |
    `String` | `getId()` | returns the id of the authorization provider
    `int` | `hashCode()` |
    `static PropertyFileAuthorization` | `newInstance​(PropertyFileAuthorization arg)` |
    `Completable` | `rxGetAuthorizations​(User user)` | Updates the user with the set of authorizations.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PropertyFileAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### PropertyFileAuthorization

          public PropertyFileAuthorization​(PropertyFileAuthorization delegate)

    - #### PropertyFileAuthorization

          public PropertyFileAuthorization​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public PropertyFileAuthorization getDelegate()

      Specified by:
        `getDelegate` in interface `AuthorizationProvider`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getId

          public String getId()

      returns the id of the authorization provider
      Specified by:
        `getId` in interface `AuthorizationProvider`
      Returns:

    - #### getAuthorizations

          public Completable getAuthorizations​(User user)

      Updates the user with the set of authorizations.
      Specified by:
        `getAuthorizations` in interface `AuthorizationProvider`
      Parameters:
        `user` - user to lookup and update.
      Returns:
        Future void to signal end of asynchronous call.

    - #### rxGetAuthorizations

          public Completable rxGetAuthorizations​(User user)

      Updates the user with the set of authorizations.
      Specified by:
        `rxGetAuthorizations` in interface `AuthorizationProvider`
      Parameters:
        `user` - user to lookup and update.
      Returns:
        Future void to signal end of asynchronous call.

    - #### create

          public static PropertyFileAuthorization create​(Vertx vertx,
                                                         String path)

      Create a File authentication provider
      Parameters:
        `vertx` - the Vert.x instance
        `path` -
      Returns:
        the authentication provider

    - #### newInstance

          public static PropertyFileAuthorization newInstance​(PropertyFileAuthorization arg)